Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.uddi.client.structures.datatypes
Class TextNode

    java.lang.Object
      weblogic.uddi.client.structures.datatypes.TextNode

Direct Known Subclasses:
  AccessPoint, AddressLine, AuthInfo, BindingKey, BusinessKey, Description, DiscoveryURL, Email, ErrInfo, FindQualifier, InstanceParms, KeyValue, Name, OverviewURL, PersonName, Phone, ServiceKey, TModelKey, UploadRegister

public abstract class TextNode
extends Object

TextNode represents the base for all text nodes

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`protected String` | `value`

Constructor Summary
`TextNode()` Class Constructor
`TextNode(String val)` Class constructor specifying the initialization value.

Method Summary
`String` | `getValue()` Gets the value of the text node.
`void` | `setValue(String val)` Sets the value of the text node.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected String value

Constructor Detail

### TextNode

    public TextNode()

  Class Constructor

### TextNode

    public TextNode(String val)

  Class constructor specifying the initialization value.

Method Detail

### getValue

    public String getValue()

  Gets the value of the text node.

  Returns:
    the current value of the text node.

### setValue

    public void setValue(String val)

  Sets the value of the text node.

  Parameters:
    `val` - the new value of the text node.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD